import { authRequest } from '/@/utils/request';

/**
 * @summary 获取项目与角色映射下发角色列表
 */
export const GetAuthProjectRoleMappingAuthorizeRoleList = (params) => {
	return authRequest({
		url: '/Auth/Project/Role/Mapping/GetAuthorizeRoleList@V1.0',
		method: 'get',
		params,
	});
};

/**
 * @summary SetAuthProjectRoleMapping
 */
export const SetAuthProjectRoleMapping = (data) => {
	return authRequest({
		url: '/Auth/Project/Role/Mapping/Set@V1.0',
		method: 'post',
		data,
	});
};
